use telers::{
    types::Message,
    utils::text::{html_formatter::Formatter as HTMLFormatter, Builder as TextBuilder},
};

pub fn get_bot_response_text(
    msg: &Message,
    action: impl Into<String>,
    command: impl Into<String>,
) -> Option<String> {
    match msg {
        Message::Dice(_) => Some(format!(
            "Ответьте на сообщение, чтобы {} участника чата.",
            action.into()
        )),
        Message::Text(_) => {
            let help_response_builder: TextBuilder<HTMLFormatter> =
                TextBuilder::new(HTMLFormatter::default())
                    .monowidth(command.into())
                    .text(format!(
                        "
                            \n\nВведите либо ID юзера, либо ответьте на \
                            сообщение участника чата, с которого вы хотите {}. 
                        ",
                        action.into()
                    ));

            Some(help_response_builder.get_text().into())
        }
        _ => None,
    }
}
